Name:		lxappearance-obconf
Epoch:		1
Version:	0.2.3
Release:	%mkrel 3.git20241011.2
Summary:	Plugin to configure OpenBox inside LXAppearance
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://lxde.org/
Source0:	https://github.com/lxde/%{name}/archive/refs/heads/master.zip
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lxappearance)
BuildRequires:	pkgconfig(obrender-3.5) >= 3.5
BuildRequires:	pkgconfig(obt-3.5) >= 3.5
BuildRequires:	gettext
BuildRequires:	intltool
Requires:	lxappearance >= 0.5.0
Requires:	openbox

%description
This plugin adds an additional tab called "Window Border" to LXAppearance.
It is only visible when the plugin is installed and Openbox is in use.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
./autogen.sh
%configure --disable-static --enable-gtk3
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lxappearance/plugins/obconf.la

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README
%{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf


%changelog
* Sun Mar 16 2025 wally <wally> 1:0.2.3-3.git20241011.2.mga10
+ Revision: 2164938
- rebuild for libxml2 2.13.6

* Mon Oct 14 2024 ns80 <ns80> 1:0.2.3-3.git20241011.1.mga10
+ Revision: 2106812
- update to latest git snapshot

* Tue Sep 10 2024 ns80 <ns80> 1:0.2.3-3.git20240816.1.mga10
+ Revision: 2094924
- update to latest git snapshot

* Thu Nov 30 2023 ns80 <ns80> 1:0.2.3-3.git20231122.1.mga10
+ Revision: 2011612
- fix compilation with libxml2 2.12.0

* Fri Sep 22 2023 ns80 <ns80> 1:0.2.3-3.git20230918.1.mga10
+ Revision: 1989334
- update to latest git snapshot

* Thu Mar 31 2022 umeabot <umeabot> 1:0.2.3-3.git20190221.5.mga9
+ Revision: 1836244
- Mageia 9 Mass Rebuild

* Thu Apr 29 2021 ns80 <ns80> 1:0.2.3-3.git20190221.4.mga9
+ Revision: 1720406
- add patches to fix display with GTK+ 3.0

* Tue Mar 02 2021 ns80 <ns80> 1:0.2.3-3.git20190221.3.mga9
+ Revision: 1696123
- build with GTK 3
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1:0.2.3-3.git20190221.2.mga8
+ Revision: 1523330
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 1:0.2.3-3.git20190221.1.mga7
+ Revision: 1371293
- update to latest git snapshot

* Sun Sep 23 2018 umeabot <umeabot> 1:0.2.3-2.mga7
+ Revision: 1299393
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Feb 21 2016 ns80 <ns80> 1:0.2.3-1.mga6
+ Revision: 975319
- new version 0.2.3

* Mon Feb 08 2016 umeabot <umeabot> 1:0.2.2-2.mga6
+ Revision: 950138
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 alexl <alexl> 1:0.2.2-1.mga5
+ Revision: 792495
- version 0.2.2 (mga#14164)

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.1-3.mga5
+ Revision: 745082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.1-2.mga5
+ Revision: 682062
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 fwang <fwang> 1:0.2.1-1.mga5
+ Revision: 584650
- drop unused file
- update br
+ ahmad <ahmad>
- imported package lxappearance-obconf


* Fri Dec 31 2010 Александр Казанцев <kazancas@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 626795
- initial release
- import lxappearance-obconf


*Sat Nov 6 2010 Alexander Kazancev <kazancas@mandriva.ru> - 0.0.1
- initial release
